Package org.eclipse.birt.chart.device

# Interface IUpdateNotifier

All Known Subinterfaces:
  `ICallBackNotifier`

All Known Implementing Classes:
  `EmptyUpdateNotifier`

public interface IUpdateNotifier
Defines methods that allow model updating via a device event handler used in conjunction with a device renderer.

See Also:
  - `IDeviceRenderer`

## Method Summary

Modifier and Type
Method
Description
`Chart`
`getDesignTimeModel()`
Returns an instance of the chart design-time model
`Chart`
`getRunTimeModel()`
Returns an instance of the chart run-time model for the last generated instance
`Object`
`peerInstance()`
Returns an instance of the peer (component) used for device-specific actions
`void`
`regenerateChart()`
Requests the container to regenerate the chart using the design-time model.
`void`
`repaintChart()`
Requests the container to repaint the last generated chart This should call IGenerator.render(), but not build() nor refresh().

## Method Details

### regenerateChart

void regenerateChart()
Requests the container to regenerate the chart using the design-time model. It should call IGenerator.build() or refresh() and render()

### repaintChart

void repaintChart()
Requests the container to repaint the last generated chart This should call IGenerator.render(), but not build() nor refresh().

### peerInstance

Object peerInstance()
Returns an instance of the peer (component) used for device-specific actions

Returns:
  An instance of the peer (component) used for device-specific actions

### getDesignTimeModel

Chart getDesignTimeModel()
Returns an instance of the chart design-time model

Returns:
  An instance of the chart design-time model

### getRunTimeModel

Chart getRunTimeModel()
Returns an instance of the chart run-time model for the last generated instance

Returns:
  An instance of the chart run-time model for the last generated instance